package net.minecraft.client.renderer.blockentity;

import net.minecraft.client.renderer.MultiBufferSource;
import com.mojang.blaze3d.vertex.PoseStack;
import net.minecraft.world.level.block.entity.BlockEntity;

public abstract class BlockEntityRenderer<T extends BlockEntity> {
    protected final BlockEntityRenderDispatcher renderer;
    
    public BlockEntityRenderer(final BlockEntityRenderDispatcher dsn) {
        this.renderer = dsn;
    }
    
    public abstract void render(final T bwi, final float float2, final PoseStack cyi, final MultiBufferSource dqq, final int integer5, final int integer6);
    
    public boolean shouldRenderOffScreen(final T bwi) {
        return false;
    }
}
