package net.minecraft.realms;

import com.mojang.blaze3d.vertex.VertexFormatElement;

public class RealmsVertexFormatElement {
    private final VertexFormatElement v;
    
    public RealmsVertexFormatElement(final VertexFormatElement cyn) {
        this.v = cyn;
    }
    
    public VertexFormatElement getVertexFormatElement() {
        return this.v;
    }
    
    public boolean isPosition() {
        return this.v.isPosition();
    }
    
    public int getIndex() {
        return this.v.getIndex();
    }
    
    public int getByteSize() {
        return this.v.getByteSize();
    }
    
    public int getCount() {
        return this.v.getCount();
    }
    
    @Override
    public int hashCode() {
        return this.v.hashCode();
    }
    
    @Override
    public boolean equals(final Object object) {
        return this.v.equals(object);
    }
    
    @Override
    public String toString() {
        return this.v.toString();
    }
}
