package net.minecraft.world.item;

import net.minecraft.world.level.BlockGetter;
import net.minecraft.network.chat.Component;
import java.util.List;
import javax.annotation.Nullable;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.block.Block;

public class AirItem extends Item {
    private final Block block;
    
    public AirItem(final Block bpe, final Properties a) {
        super(a);
        this.block = bpe;
    }
    
    @Override
    public String getDescriptionId() {
        return this.block.getDescriptionId();
    }
    
    @Override
    public void appendHoverText(final ItemStack bek, @Nullable final Level bjt, final List<Component> list, final TooltipFlag bft) {
        super.appendHoverText(bek, bjt, list, bft);
        this.block.appendHoverText(bek, bjt, list, bft);
    }
}
