package net.minecraft.world.item.crafting;

import net.minecraft.world.level.ItemLike;
import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.level.Level;
import net.minecraft.world.Container;
import net.minecraft.world.item.ItemStack;
import net.minecraft.resources.ResourceLocation;

public class StonecutterRecipe extends SingleItemRecipe {
    public StonecutterRecipe(final ResourceLocation sm, final String string, final Ingredient bgq, final ItemStack bek) {
        super(RecipeType.STONECUTTING, RecipeSerializer.STONECUTTER, sm, string, bgq, bek);
    }
    
    @Override
    public boolean matches(final Container ajb, final Level bjt) {
        return this.ingredient.test(ajb.getItem(0));
    }
    
    @Override
    public ItemStack getToastSymbol() {
        return new ItemStack(Blocks.STONECUTTER);
    }
}
