package net.minecraft.world.level.block;

import net.minecraft.world.level.block.entity.SkullBlockEntity;
import net.minecraft.world.level.block.entity.BlockEntity;
import net.minecraft.world.level.BlockGetter;

public abstract class AbstractSkullBlock extends BaseEntityBlock {
    private final SkullBlock.Type type;
    
    public AbstractSkullBlock(final SkullBlock.Type a, final Properties c) {
        super(c);
        this.type = a;
    }
    
    @Override
    public BlockEntity newBlockEntity(final BlockGetter bjd) {
        return new SkullBlockEntity();
    }
    
    public SkullBlock.Type getType() {
        return this.type;
    }
}
