package net.minecraft.world.level.block;

import net.minecraft.core.Direction;
import net.minecraft.world.level.block.state.BlockState;

public class HalfTransparentBlock extends Block {
    protected HalfTransparentBlock(final Properties c) {
        super(c);
    }
    
    @Override
    public boolean skipRendering(final BlockState byg1, final BlockState byg2, final Direction fp) {
        return byg2.getBlock() == this || super.skipRendering(byg1, byg2, fp);
    }
}
