package net.minecraft.world.level.levelgen.feature.blockplacers;

import java.util.Random;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.core.BlockPos;
import net.minecraft.world.level.LevelAccessor;
import net.minecraft.util.Serializable;

public abstract class BlockPlacer implements Serializable {
    protected final BlockPlacerType<?> type;
    
    protected BlockPlacer(final BlockPlacerType<?> cfu) {
        this.type = cfu;
    }
    
    public abstract void place(final LevelAccessor bju, final BlockPos fk, final BlockState byg, final Random random);
}
