package net.minecraft.world.level.newbiome.layer.traits;

import net.minecraft.world.level.newbiome.context.Context;
import net.minecraft.world.level.newbiome.area.AreaFactory;
import net.minecraft.world.level.newbiome.area.Area;
import net.minecraft.world.level.newbiome.context.BigContext;

public interface AreaTransformer0 {
    default <R extends Area> AreaFactory<R> run(final BigContext<R> cou) {
        return () -> cou.createResult((integer2, integer3) -> {
            cou.initRandom(integer2, integer3);
            return this.applyPixel(cou, integer2, integer3);
        });
    }
    
    int applyPixel(final Context cov, final int integer2, final int integer3);
}
