package net.minecraft.world.phys;

import net.minecraft.world.entity.Entity;

public class EntityHitResult extends HitResult {
    private final Entity entity;
    
    public EntityHitResult(final Entity akn) {
        this(akn, akn.position());
    }
    
    public EntityHitResult(final Entity akn, final Vec3 cvi) {
        super(cvi);
        this.entity = akn;
    }
    
    public Entity getEntity() {
        return this.entity;
    }
    
    @Override
    public Type getType() {
        return Type.ENTITY;
    }
}
