package net.minecraft.world.effect;

import net.minecraft.world.entity.ai.attributes.BaseAttributeMap;
import net.minecraft.world.entity.LivingEntity;

public class AbsoptionMobEffect extends MobEffect {
    protected AbsoptionMobEffect(final MobEffectCategory akg, final int integer) {
        super(akg, integer);
    }
    
    @Override
    public void removeAttributeModifiers(final LivingEntity akw, final BaseAttributeMap alr, final int integer) {
        akw.setAbsorptionAmount(akw.getAbsorptionAmount() - 4 * (integer + 1));
        super.removeAttributeModifiers(akw, alr, integer);
    }
    
    @Override
    public void addAttributeModifiers(final LivingEntity akw, final BaseAttributeMap alr, final int integer) {
        akw.setAbsorptionAmount(akw.getAbsorptionAmount() + 4 * (integer + 1));
        super.addAttributeModifiers(akw, alr, integer);
    }
}
