package net.minecraft.world.effect;

import net.minecraft.world.entity.ai.attributes.BaseAttributeMap;
import net.minecraft.world.entity.LivingEntity;

public class HealthBoostMobEffect extends MobEffect {
    public HealthBoostMobEffect(final MobEffectCategory akg, final int integer) {
        super(akg, integer);
    }
    
    @Override
    public void removeAttributeModifiers(final LivingEntity akw, final BaseAttributeMap alr, final int integer) {
        super.removeAttributeModifiers(akw, alr, integer);
        if (akw.getHealth() > akw.getMaxHealth()) {
            akw.setHealth(akw.getMaxHealth());
        }
    }
}
