package net.minecraft.world.entity.ai.behavior;

import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.raid.Raid;
import net.minecraft.world.entity.Entity;
import net.minecraft.core.BlockPos;
import net.minecraft.world.entity.PathfinderMob;
import net.minecraft.server.level.ServerLevel;

public class VictoryStroll extends VillageBoundRandomStroll {
    public VictoryStroll(final float float1) {
        super(float1);
    }
    
    @Override
    protected boolean checkExtraStartConditions(final ServerLevel xd, final PathfinderMob ald) {
        final Raid azk4 = xd.getRaidAt(new BlockPos(ald));
        return azk4 != null && azk4.isVictory() && super.checkExtraStartConditions(xd, ald);
    }
}
