package net.minecraft.world.item;

import net.minecraft.world.level.ItemLike;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.level.Level;

public class BowlFoodItem extends Item {
    public BowlFoodItem(final Properties a) {
        super(a);
    }
    
    @Override
    public ItemStack finishUsingItem(final ItemStack bek, final Level bjt, final LivingEntity akw) {
        final ItemStack bek2 = super.finishUsingItem(bek, bjt, akw);
        if (akw instanceof Player && ((Player)akw).abilities.instabuild) {
            return bek2;
        }
        return new ItemStack(Items.BOWL);
    }
}
