package net.minecraft.world.item;

import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.Block;

public class DoubleHighBlockItem extends BlockItem {
    public DoubleHighBlockItem(final Block bpe, final Properties a) {
        super(bpe, a);
    }
    
    @Override
    protected boolean placeBlock(final BlockPlaceContext bcn, final BlockState byg) {
        bcn.getLevel().setBlock(bcn.getClickedPos().above(), Blocks.AIR.defaultBlockState(), 27);
        return super.placeBlock(bcn, byg);
    }
}
