package net.minecraft.world.level;

import javax.annotation.Nullable;
import net.minecraft.world.entity.Entity;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.core.BlockPos;

public interface LevelWriter {
    boolean setBlock(final BlockPos fk, final BlockState byg, final int integer);
    
    boolean removeBlock(final BlockPos fk, final boolean boolean2);
    
    default boolean destroyBlock(final BlockPos fk, final boolean boolean2) {
        return this.destroyBlock(fk, boolean2, null);
    }
    
    boolean destroyBlock(final BlockPos fk, final boolean boolean2, @Nullable final Entity akn);
    
    default boolean addFreshEntity(final Entity akn) {
        return false;
    }
}
