package net.minecraft.world.level.block;

import net.minecraft.server.level.ServerLevel;
import java.util.Random;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.core.BlockPos;
import net.minecraft.world.level.BlockGetter;

public interface BonemealableBlock {
    boolean isValidBonemealTarget(final BlockGetter bjd, final BlockPos fk, final BlockState byg, final boolean boolean4);
    
    boolean isBonemealSuccess(final Level bjt, final Random random, final BlockPos fk, final BlockState byg);
    
    void performBonemeal(final ServerLevel xd, final Random random, final BlockPos fk, final BlockState byg);
}
