package net.minecraft.world.level.block;

import net.minecraft.core.particles.ParticleOptions;
import net.minecraft.core.particles.ParticleTypes;
import java.util.Random;
import net.minecraft.core.BlockPos;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.block.state.BlockState;

public class MyceliumBlock extends SpreadingSnowyDirtBlock {
    public MyceliumBlock(final Properties c) {
        super(c);
    }
    
    @Override
    public void animateTick(final BlockState byg, final Level bjt, final BlockPos fk, final Random random) {
        super.animateTick(byg, bjt, fk, random);
        if (random.nextInt(10) == 0) {
            bjt.addParticle(ParticleTypes.MYCELIUM, fk.getX() + (double)random.nextFloat(), fk.getY() + 1.1, fk.getZ() + (double)random.nextFloat(), 0.0, 0.0, 0.0);
        }
    }
}
