package net.minecraft.world.level.block;

import net.minecraft.world.item.ItemStack;
import javax.annotation.Nullable;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.core.BlockPos;
import net.minecraft.world.level.Level;

public class WitherWallSkullBlock extends WallSkullBlock {
    protected WitherWallSkullBlock(final Properties c) {
        super(SkullBlock.Types.WITHER_SKELETON, c);
    }
    
    @Override
    public void setPlacedBy(final Level bjt, final BlockPos fk, final BlockState byg, @Nullable final LivingEntity akw, final ItemStack bek) {
        Blocks.WITHER_SKELETON_SKULL.setPlacedBy(bjt, fk, byg, akw, bek);
    }
}
