package net.minecraft.world.level.block.entity;

import net.minecraft.nbt.CompoundTag;

public class ComparatorBlockEntity extends BlockEntity {
    private int output;
    
    public ComparatorBlockEntity() {
        super(BlockEntityType.COMPARATOR);
    }
    
    @Override
    public CompoundTag save(final CompoundTag jt) {
        super.save(jt);
        jt.putInt("OutputSignal", this.output);
        return jt;
    }
    
    @Override
    public void load(final CompoundTag jt) {
        super.load(jt);
        this.output = jt.getInt("OutputSignal");
    }
    
    public int getOutputSignal() {
        return this.output;
    }
    
    public void setOutputSignal(final int integer) {
        this.output = integer;
    }
}
