package net.minecraft.world.level.newbiome.layer.traits;

import net.minecraft.world.level.newbiome.area.Area;
import net.minecraft.world.level.newbiome.area.AreaFactory;
import net.minecraft.world.level.newbiome.context.BigContext;

public interface AreaTransformer1 extends DimensionTransformer {
    default <R extends Area> AreaFactory<R> run(final BigContext<R> cou, final AreaFactory<R> cor) {
        final Area coq4;
        final Area coq5;
        return () -> {
            coq4 = cor.make();
            return cou.createResult((integer3, integer4) -> {
                cou.initRandom(integer3, integer4);
                return this.applyPixel(cou, coq5, integer3, integer4);
            }, (R)coq4);
        };
    }
    
    int applyPixel(final BigContext<?> cou, final Area coq, final int integer3, final int integer4);
}
