package net.minecraft.world.level.newbiome.layer.traits;

import net.minecraft.world.level.newbiome.context.Context;
import net.minecraft.world.level.newbiome.area.Area;
import net.minecraft.world.level.newbiome.area.AreaFactory;
import net.minecraft.world.level.newbiome.context.BigContext;

public interface AreaTransformer2 extends DimensionTransformer {
    default <R extends Area> AreaFactory<R> run(final BigContext<R> cou, final AreaFactory<R> cor2, final AreaFactory<R> cor3) {
        final Area coq5;
        final Area coq6;
        final Area coq7;
        final Area coq8;
        return () -> {
            coq5 = cor2.make();
            coq6 = cor3.make();
            return cou.createResult((integer4, integer5) -> {
                cou.initRandom(integer4, integer5);
                return this.applyPixel(cou, coq7, coq8, integer4, integer5);
            }, (R)coq5, (R)coq6);
        };
    }
    
    int applyPixel(final Context cov, final Area coq2, final Area coq3, final int integer4, final int integer5);
}
